/* ACHTUNG! Man sollte alle Hilfskommentare hier herauslöschen, bevor man das CSS
 * produktiv nutzt, damit die Datei so klein wie möglich bleibt.
 */

 /* NORMALISIERUNG:
    Manche WebDesigner stellen die margins und paddings aller Elemente auf 0, um eine einheitliche Darstellung zu erreichen, andererseits muss man dann ALLES wieder neu formatieren.
	box-sizing für alle Elemente ist jedoch sehr sinnvoll, da man damit Rahmen und Innenabstände automatisch in der Breite einschließt und so leichter layouten kann. */ 
* {box-sizing: border-box;}
/* NORMALISIERUNG dla web */ 
* {    
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

/* -- Allgemeines -- */
html {
  background: #E7F9DB; 
  background:
    radial-gradient(circle at 0% 60%, rgba(96, 16, 48, 0) 9px, darkgreen 10px, rgba(96, 16, 48, 0) 11px) 0px 10px,
    radial-gradient(at 100% 100%,      rgba(96, 16, 48, 0) 9px, darkgreen 10px, rgba(96, 16, 48, 0) 11px),
    #b3cba2;
  background-size: 20px 20px;
  color: #183305; 
}

p {
	margin-top: 1px;	
	}
	#p1 { display: table; }
	
 /* --- tematy nav nad logo ---  */
  #one {
  margin: 0;
  text-align: right;
  font-size: 0.9em;    
  text-decoration: none;
} 

#border-box {
        box-sizing: border-box;
      }
	   /* --- Inhalte werden centriert ---  */
#Inhalte-werden-zentriert {
	display: flex;
	align-items: center;
	justify-content: center;
}
  /* --- tematy w ramkach pod  logo i nav ---  */
#two {
  margin:  5px 0px 5px;
  margin-bottom: 1px;
  width: auto;
  white-space: nowrap;
  text-align:left;
  padding: 0  5px 0 5px;
  font-size: 1em; 
  font-weight: normal;
  color:  #287635;
  text-decoration: none;
}

  #two:hover,
     a:hover {color: white;} 

span { padding: 2px; }
	.typA { padding: 1px;  border: 1px solid #287635;}
 /* --- ramka linku przy  fladze ---  */
  #tipp {
	border: 1px solid blue;
	background: skyblue;
	display: block;
	width: 50px;}
	
#tipp:hover,
a:hover img {
	box-shadow: 0 0 10px skyblue;}	
	
	.flex-container {display: flex;}
	.row {flex-direction: row;}
	.wrap {flex-wrap: wrap;}

.vorne {justify-content: flex-start;}
	
body {
  margin: 0  auto; 
  padding: 0%; 
  max-width: 80%; 
  font-family: verdana, geneva, arial, sans-serif ;
  font-size: 0.9em;
  border: 1px solid #aaa; 
  border-top: 0; 
  background: white;    
}


.skip {
  position: absolute;
  margin-left: -999px;
  width: 990px;
}

a { color: #183305; text-decoration: underline;} /* Alle unbesuchten Links */
a:visited { background-color: #bddda8; } /* Besuchte Links werden #ac8eaf, bleiben dennoch unterstrichen. Somit erkennt man wo man sich schon befunden hat. */
a:focus {background-color: yellow;}
a:hover {
	background-color: #287635;
	border-radius:0.3em;  /* zaokraglone rogi  tla navi po najechaniu myszka */
	color: #E7F9DB;
  }
  a[aria-current="page"] {
  color: #E7F9DB;
  background:#287635;
  border-radius:0.3em;
  padding:0.1em 0.3em; 
  text-decoration: none;
}
a.backlink::before {content: \&larr;}
a.toplink::before {color: red; content: \&Û;}

.before::before,
.after::after {
	content: "\A";
	white-space: pre;
}

/* - Logo bzw. Kopf - */
header {
  background: url(../pic/kot-logo.jpg) 0 0;
  height: 120px; 
  margin: 0; 
  padding: 0 20px;  
  text-align: left;
  line-height: 50px;   
  font-size: 45px; 
  font-weight: 550;  
  font-variant: small-caps;  
  text-shadow: 3px 2px #ccc;
  letter-spacing: -2px; 
}
header #logo {
  color:  #E7F9DB; 
  text-decoration: none; 
}
header #logo span { /* Der letzte Buchstabe soll invertiert dargestellt werden. */
  color: #287635;
  background: #E7F9DB; 
  padding-right: 3px; 
  padding-left: 1px;
  font-size: 24px;
  vertical-align: 0.6em;  
  font-weight: bold;
}
header p { margin-top: 0px;}

/* - Menü - */
nav  ul {
  background: #287635;  /*  ziekony kolor tla od Menüpunkte */
  padding: 3px 3%; /* Je kleiner das Fenster desto kleiner soll auch der Abstand des Menüs rechts und links sein. */
  margin: 0; /* górny odstep  od loga */
  text-align: center;
}
nav  ul li {
  display: inline-block; /* Damit die Menüpunkte nebeneinander czyli horizontal erscheinen. */
  font-size: 1em; /* Menü-napis wielkosc pisma */
  white-space: nowrap; /* dadurch kann man den automatischen Zeilenumbruch verbieten. */
  list-style-type: none; /* Die Bullets (znaczek przy wyliczaniu czegos) vor den Menüpunkten schalten wir ab. */
  border-left: 1px solid white; /* Ein optischer Trennungsstrich */
  padding: 0 .1em 0 .1em;  /*  odstep  napisów navi od kresek */
  font-weight: bold;
  color: #30600F;
}
nav  ul li a {
  color: #E7F9DB; /*  linkfarbe napisu navi jak Farbe des Menüpunktes. */
  padding:0.1em 1em;   /*  odstep  napisów navi od kresek */
  border-radius:0.3em;  /* zaokraglone rogi  tla navi po najechaniu myszka */
  text-decoration: none;
}
nav  ul li a[aria-current="page"] {
  color: #287635;
  background:#e7f9db;
  opacity:1.0;
  font-weight: bold;
}
nav  ul li a:any-link {   /* Wenn der Link durch Maus oder Tastatur aktiviert wird, leuchtet er gelb auf! */
	color:#E7F9DB;	
}
nav  ul li a:focus {   /* Wenn der Link durch Maus oder Tastatur aktiviert wird, leuchtet er gelb auf! */
	color:green;
	background:yellow;
	opacity:0.9;
}
nav  ul li a:hover {   /* wenn die Maus drüberfährt, leucht der Link #fcffc4 auf! */
	color:#287635;  /* litery  color, wenn die Maus drüberfährt */
	background:#e7f9db;
	opacity:1.0; /* Deckkraft czyli der Grad der Transparenz koloru tla */
}

/* - Der Hauptinhaltsteil - */
main {
 display: block;
 padding: 0 1%; 
 line-height: 1.5em; /* Zur besseren Lesbarkeit erhöhen wir die Zeilenhöhe w bloku Inhalt. */
}

section{display: inline-block; width:73%;}
 #section2 {display: inline-block; width:100%;}
 #section3 {display: flex; justify-content: space-around; max-width: 100%}


/* - Sidebar, Rechte Spalte - */
aside {
  width: 25%; /* Je kleiner das Fenster desto kleiner soll auch die Breite der Sidebar werden, damit immer genügend Platz für den richtigen Inhalt bleibt. */
  float: right; /* Damit erreichen wir, dass der Inhalt links neben der Sidebar vorbeifließt und nicht erst unten drunter anfängt. */
  clear:right;
  display : inline-block;
  padding: 0em 1% 1em;
  margin: 1px 1% 0 1%;
  border-left: 1px dotted #aaa; /* Hiermit trennen wir optisch die Sidebar vom eigentlichen Inhalt ab. */
  font-size: 0.9em; /* Die Schriftgröße setzen wir hier ein wenig herunter damit erkennbar wird, dass das Informationen zweiter Rangordnung sind. */
}
aside dt { /* Die einzelnen Überschriften in der Sidebar */
  font-size: 1.2em;
  font-family: Georgia, "Times New Roman", Times, serif;
  padding: 0.5em;
  margin-top: 1em;
  border-top: 1px dotted #aaa; /* Hier eine optische Trennungslinie zwischen den einzelnen Bereichen der Sidebar. */
}

aside dd { /* Die Unterpunkte der Sidebar. */
  padding: 0;
  margin: 0.2em 0;
}
h1 { /* Die Überschrift jeder Seite stellen wir besonders da, denn sie ist sehr wichtig. */
  font-family: Comic Sans MS;
  font-size: 2em;
  font-weight: normal;
  color:  #287635;
  background-color: #E7F9DB;
  line-height: 1em; /* wysokoœæ paska, na którym jest napis */
  padding-left: 10px;
  margin: 0.2em 0;
  border-bottom: 1px dashed #E6E6FA; /* linia pod paskiem napisu */
  }
  h2 { font-size: 1.8em;}
  h3  { font-size: 1.4em;}
  h2, h3, h4 {font-weight: normal; }
  h2, h3, h4 {
  color: #6699CC;
  font-family: Georgia, "Times New Roman", Times, serif;
}

/*DL, DT, DD Datenliste*/
dl 	{ margin-bottom:50px;}
 
dl dt {	
    float:left;
    font-weight:bold;
    margin-right:5px;
    padding:5px; 
    width:50%;
}
 
dl dd {
    margin:2px 0;
    padding:5px 0;
}

img { /* Alle Bilder bekommen einen schönen Rahmen. */
  border: solid 1px #aaa;
  padding: 1px;
}

.fleft { /* Sachen, an denen der Text vorbeifließen soll, werden diese Klassen zugewiesen. */
  float: left;
  margin: 0 2em 0.2em 1em; /* Man sollte einen schönen Abstand wählen, sonst kleben die Sachen so am Text. */
  width:35%;
}
.fright {
  float: right;
  margin: 0 2em 0.2em 1em;
  padding: 1px;
  width:35%
}


a { color: #0B4D8C; text-decoration: underline; } /* Alle unbesuchten Links bekommen eine leicht bläuliche Farbe und werden unterstrichen, damit man Sie gleich im Text erkennt. */
a:visited { color: black; } /* Besuchte Links werden schwarz, bleiben dennoch unterstrichen. Somit erkennt man wo man sich schon befunden hat. */
a:focus {background-color: yellow;}



/* - Sidebar, Rechte Spalte - */
aside {
  width: 25%; 
  float: right; /* Damit erreichen wir, dass der Inhalt links neben der Sidebar vorbeifließt und nicht erst unten drunter anfängt. */
  clear:right;
  display : inline-block;
  padding: 0em 1% 1em;
  margin: 10em 1% 0 1%;
  border-left: 1px dotted #aaa; /* Hiermit trennen wir optisch die Sidebar vom eigentlichen Inhalt ab. */
  font-size: 0.9em; /* Die Schriftgröße setzen wir hier ein wenig herunter damit erkennbar wird, dass das Informationen zweiter Rangordnung sind. */
}
aside dt { /* Die einzelnen Überschriften in der Sidebar */
  font-size: 1.2em;
  font-family: Georgia, "Times New Roman", Times, serif;
  padding: 0.5em;
  margin-top: 1em;
  border-top: 1px dotted #aaa; /* Hier eine optische Trennungslinie zwischen den einzelnen Bereichen der Sidebar. */
}
aside dd { /* Die Unterpunkte der Sidebar. */
  padding: 0;
  margin: 0.2em 0;
}

h1 { /* Die Überschrift jeder Seite stellen wir besonders da, denn sie ist sehr wichtig. */
  font-family: Comic Sans MS;
  font-size: 2em;
  font-weight: normal;
  color:  #287635;
  background-color: #E7F9DB;
  line-height: 1em; /* wysokoœæ paska, na którym jest napis */
  padding-left: 10px;
  margin: 0.2em 0;
  border-bottom: 1px dashed #E6E6FA; /* linia pod paskiem napisu */
  }
  h2 { font-size: 1.8em;}
  h3  { font-size: 1.4em;}
  h3, h4 {font-weight: normal; }
  h2, h3, h4 {
  color: #6699CC;
  font-family: Georgia, "Times New Roman", Times, serif;
}

/*DL, DT, DD Datenliste*/
dl 	{ margin-bottom:50px;}
 
dl dt {	
    float:left;
    font-weight:bold;
    margin-right:5px;
    padding:5px; 
    width:50%;
}
 
dl dd {
    margin:2px 0;
    padding:5px 0;
}

img { /* Alle Bilder bekommen einen schönen Rahmen. */
  border: solid 1px #aaa;
  padding: 1px;
}

.fleft { /* Sachen, an denen der Text vorbeifließen soll, werden diese Klassen zugewiesen. */
  float: left;
  margin: 0 2em 0.2em 1em; /* Man sollte einen schönen Abstand wählen, sonst kleben die Sachen so am Text. */
  width:35%;
}
.fright {
  float: right;
  margin: 0 2em 0.2em 1em;
  padding: 1px;
  width:35%
}



/* -- Layoutspezifisches -- */

footer {
  clear: both; /* Damit #main mindestens so hoch ausgedehnt wird wie aside, falls aside länger sein sollte. */
  padding: 2%;
  text-align:center;
  border-top: 1px dotted #aaa; /* Hiermit trennen wir den footer optisch vom eigentlichen Inhalt ab. */
}

footer .copy span {
	margin:0 auto;
	display:block;
}

/* 1-Spaltenlayout  mit Navigation unten*/
@media only screen and (max-width: 600px) {
nav ul {
	display:block; 
	background:transparent;				/*Der grüne Schatten wird deaktiviert, stattdessen wird nav ul li a mit grünem Hintergrund sichtbar! */
	margin: 1em 0;
}
nav ul li{width:90%;margin: 5px 0;  }   /* Damit man auf SmartPhones navigieren kann, werden die Menüpunkte jetzt über 90% der Screen-Breite gezogen */
nav ul li.active{padding:0 2em; background:green; border-radius:10px;}
nav ul li a{display:inline-block;width:100%; color:white; background:green; margin:5px 0; border-radius:10px;text-align:center;}
nav ul li a:after{display:none;} 

section, 				/* kein Spalten-Layout mehr, alles wird untereinander dargestellt*/
section.spalte, 
aside {
	float:none;
	display:block;
	width:100%;
}


.fleft,.fright {		/*Damit die Bilder jetzt nicht zu klein werden, nehmen sie die halbe Breite des Bildschirms ein.*/
	width:50%;
}
}



